import {TypedNode} from "../_Base";
import {NodeContext as NodeContext2} from "../../poly/NodeContext";
import {FlagsController as FlagsController2} from "../utils/FlagsController";
export class TypedRopNode extends TypedNode {
  constructor() {
    super(...arguments);
    this.flags = new FlagsController2(this);
  }
  static nodeContext() {
    return NodeContext2.ROP;
  }
  initializeBaseNode() {
    this.dirtyController.addPostDirtyHook("cook_immediately", () => {
      this.cookController.cook_main_without_inputs();
    });
  }
  cook() {
    this.cookController.end_cook();
  }
}
export class BaseRopNodeClass extends TypedRopNode {
}
